# Method: projects.locations.operations.get

- [HTTP request](https://docs.cloud.google.com/vpc/docs/multicast/reference/rest/v1beta1/projects.locations.operations/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/vpc/docs/multicast/reference/rest/v1beta1/projects.locations.operations/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/vpc/docs/multicast/reference/rest/v1beta1/projects.locations.operations/get#body.request_body)
- [Response body](https://docs.cloud.google.com/vpc/docs/multicast/reference/rest/v1beta1/projects.locations.operations/get#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/vpc/docs/multicast/reference/rest/v1beta1/projects.locations.operations/get#body.aspect)

Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.

### HTTP request

`GET https://networkservices.googleapis.com/v1beta1/{name=projects/*/locations/*/operations/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` The name of the operation resource. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/vpc/docs/multicast/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).